.blog01 {
    gap: 30px;
}

.blog01:has(> li:nth-child(-n + 3)) {
    display: flex;
    justify-content: center;
}

.blog01:has(> li:nth-child(4)) {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
}

.blog01__links {
    width: 360px;
    height: 100%;
    display: block;
    padding: 20px;
}

.blog01__img {
    height: 240px;
}

.blog01 .blog__between {
    margin-block: 10px;
}
